Page MenuHomePhabricator

1.33.0-wmf.9 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.33.0-wmf.9
Release Date
1545004800

2018 week 51 1.33-wmf.9 Changes wmf/1.33.0-wmf.9

This MediaWiki Train Deployment is scheduled for the week of Monday, December 17th:

Monday December 17thTuesday, December 18thWednesday, December 19thThursday, December 20thFriday
SWAT deployments only.Branch wmf.9 and deploy to Group 0 Wikis.Deploy wmf.9 to Group 1 Wikis.Deploy wmf.9 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.9 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.33.0-wmf.8
Next: 1.33.0-wmf.10

Event Timeline

greg created this task.Oct 10 2018, 5:23 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 5:23 PM
greg triaged this task as Normal priority.Oct 10 2018, 7:26 PM

I've noticed this in mediawiki-errors:

[XBpTUApAIDwAAJyi064AAABS] /w/api.php?format=json&formatversion=2&action=jsondata&title=Original%2FSt.Petersburg%20population%20annotations.tab&uselang=www   ErrorException from line 309 of /srv/mediawiki/php-1.33.0-wmf.9/includes/debug/MWDebug.php: PHP Warning: API call had warnings trying to get remote JsonConfig: warnings={"main":{"*":"Subscribe to the mediawiki-api-announce mailing list at \u003Chttps://lists.wikimedia.org/mailman/listinfo/mediawiki-api-announce\u003E for notice of API deprecations and breaking changes. Use [[Special:ApiFeatureUsage]] to see usage of deprecated features by your application."},"revisions":{"*":"Because \"rvslots\" was not specified, a legacy format has been used for the output. This format is deprecated, and in the future the new format will always be used."}}, query={"action":"query","titles":"Data:Original/St.Petersburg population annotations.tab","prop":"revisions","rvprop":"content","continue":""} [Called from JsonConfig\JCUtils::warn in /srv/mediawiki/php-1.33.0-wmf.9/extensions/JsonConfig/includes/JCUtils.php at line 53]

But looks like it's a known problem: T204774: JsonConfig api emits PHP Warning "API call had warnings trying to get remote JsonConfig".

hashar added a subscriber: hashar.Dec 19 2018, 5:07 PM

I will take care of deploying to group1 during the American window at 20:00 UTC (21:00 CET - 11am PST).

Deployed and it looks fine so far.

I've noticed T212428: includes/Revision/RevisionStore.php: Main slot of revision (number) not found in database! in the logs, but I found it both for wmf.8 and wmf.9, so it's not new and not blocking the train.

zeljkofilipin closed this task as Resolved.Dec 20 2018, 5:43 PM